curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "TRON Wallet",
"network": "tron",
"wallet_type": "hot",
"is_default": true
}
'{
"balances": [
{
"id": "d4cc0251-8d57-4b15-b4a1-6db9a4e90037",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"wallet_id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"currency": "TRX",
"token_type": "TRX",
"token_symbol": "TRX",
"amount": "0.00000000",
"usd_value": "0.00",
"locked_amount": "0.00000000",
"last_price_usd": "0.00"
},
{
"id": "9d9b584d-6126-4160-bfea-fc1f3fc1934e",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"wallet_id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"currency": "USDT",
"token_type": "USDT",
"token_symbol": "USDT",
"amount": "0.00000000",
"usd_value": "0.00",
"locked_amount": "0.00000000",
"last_price_usd": "0.00"
}
],
"wallet": {
"id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "TRON Wallet",
"address": "TEPwbAa9xKCki85hBUyPBSQQkTZxkQqXSt",
"wallet_type": "hot",
"network": "tron",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:27:00.179508Z"
}
}Creates a wallet for a user and initializes zero balances (ETH+USDT for ethereum, TRX+USDT for tron).
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "TRON Wallet",
"network": "tron",
"wallet_type": "hot",
"is_default": true
}
'{
"balances": [
{
"id": "d4cc0251-8d57-4b15-b4a1-6db9a4e90037",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"wallet_id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"currency": "TRX",
"token_type": "TRX",
"token_symbol": "TRX",
"amount": "0.00000000",
"usd_value": "0.00",
"locked_amount": "0.00000000",
"last_price_usd": "0.00"
},
{
"id": "9d9b584d-6126-4160-bfea-fc1f3fc1934e",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"wallet_id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"currency": "USDT",
"token_type": "USDT",
"token_symbol": "USDT",
"amount": "0.00000000",
"usd_value": "0.00",
"locked_amount": "0.00000000",
"last_price_usd": "0.00"
}
],
"wallet": {
"id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "TRON Wallet",
"address": "TEPwbAa9xKCki85hBUyPBSQQkTZxkQqXSt",
"wallet_type": "hot",
"network": "tron",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:27:00.179508Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
User ID to own the wallet.
Wallet name/label.
Network (case-sensitive).
ethereum, tron Wallet type.
hot, cold Whether this wallet should be default for the network.